kill @e[x=989,y=100,z=1000,r=70,tag=!znacznik,type=!Player]
execute @a[x=989,y=100,z=1000,r=70] ~ ~ ~ function sorcerersbook:reset_spells

#Instrukcje wykonywane na nowym graczu, którego jeszcze nigdy nie było na serwerze
execute @a[tag=!return] ~ ~ ~ function sorcerersbook:jestem_nowy

#Funkcje wykonywane na bycie UUID:7772696d-706c-0000-0000-000000000001
execute 7772696d-706c-0000-0000-000000000001 ~ ~ ~ function sorcerersbook:engine/work

#Czyszczenie mapy
#/summon area_effect_cloud 2000 255 2000 {Tags:["CLEAR_MAP","znacznik"],Duration:300}
execute @e[tag=CLEAR_MAP,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:clear_map_tick

scoreboard players tag @a add NO_GAMEMODE_TMP
scoreboard players tag @a[score_gamemode_min=0] remove NO_GAMEMODE_TMP
scoreboard players set @a[tag=NO_GAMEMODE_TMP] gamemode 2

#Usuwanie wody
execute @e[tag=REMOVE_WATER,type=area_effect_cloud] ~ ~ ~ fill ~-1 ~-1 ~-1 ~1 ~1 ~1 minecraft:air 0 replace flowing_water

#chmurki spawn protection
execute @e[tag=SPAWN_PROTECTION] ~ ~ ~ execute @e[type=!Player,r=3,tag=!znacznik] ~ ~ ~ function sorcerersbook:spell/shb_destroy

#Wczytywanie gamemode
#execute @e[tag=!cziter] ~ ~ ~ scoreboard players set @s[tag=spectator] gamemode 3 
#execute @e[tag=!cziter] ~ ~ ~ scoreboard players set @s[tag=!spectator] gamemode 2 
gamemode survival @a[score_gamemode_min=0,score_gamemode=0,m=!survival]
gamemode creative @a[score_gamemode_min=1,score_gamemode=1,m=!creative]
gamemode adventure @a[score_gamemode_min=2,score_gamemode=2,m=!adventure]
gamemode spectator @a[score_gamemode_min=3,score_gamemode=3,m=!spectator]


execute @e[tag=POISONOUS_GAS,type=area_effect_cloud] ~ ~ ~ detect ~ ~ ~ minecraft:fire * function sorcerersbook:poison_explosion
execute @e[tag=POISONOUS_GAS,type=area_effect_cloud] ~ ~ ~ detect ~ ~-1 ~ minecraft:fire * function sorcerersbook:poison_explosion
kill @e[type=area_effect_cloud,tag=]

#Eksplozje gazu
#execute @e[tag=POISONOUS_GAS] ~ ~ ~ function sorcerersbook:poison_explosion if @e[r=3,tag=FIRE]

#initializing dropped items
scoreboard players tag @e[type=item] add page_init {Item:{tag:{pageInit:1b}}}
entitydata @e[tag=page_init] {Glowing:1b,Tags:["nietykalny","unlock_spell","znacznik","page_init"],Age:-32768,Health:1000,PickupDelay:32767,Item:{tag:{pageInit:0b}}}
scoreboard teams join light_purple @e[tag=page_init]
scoreboard players set @e[tag=page_init] page_timer 0
scoreboard players tag @e[tag=page_init] remove page_init

#processing pages
scoreboard players add @e[tag=unlock_spell] page_timer 1
execute @e[tag=unlock_spell] ~ ~ ~ function sorcerersbook:page_particles
scoreboard players set @e[tag=unlock_spell,score_page_timer_min=72] page_timer 0
execute @e[tag=unlock_spell] ~ ~ ~ execute @p[r=1,m=2] ~ ~ ~ function sorcerersbook:unlock_random_spell

#kiling all items
kill @e[type=item,tag=!nietykalny]

#processing spells that last longer
#SHA_TICK
execute @e[score_shaCounter_min=1] ~ ~ ~ function sorcerersbook:spell/sha_tick
#MAB_TICK
execute @e[tag=MAB_BOMB,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/mab_tick
#RBA_TICK
execute @e[score_rbaCounter_min=1] ~ ~ ~ function sorcerersbook:spell/rba_tick
#RBB_TICK
execute @e[tag=RBB_BARIER,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/rbb_tick
#SMB_TICK
execute @e[tag=SMB_BARIER,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/smb_tick
#SHB_TICK
execute @e[tag=SHB_BARIER,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/shb_tick
#WOD_TICK
execute @e[tag=WOD_BARIER,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/wod_tick
#ARM_TICK
execute @e[score_arm_min=1,score_armdelay=0,score_armdelay_min=0] ~ ~ ~ function sorcerersbook:spell/arm_tick 
scoreboard players remove @a[score_armdelay_min=0] armdelay 1
scoreboard players remove @a[score_arm_min=0] arm 1
execute @e[tag=ARM_MISSILE,type=fireball] ~ ~ ~ function sorcerersbook:firehandler
execute @e[tag=ARM_MISSILE,type=fireball] ~ ~-3 ~ function sorcerersbook:firehandler
execute @e[tag=ARM_MISSILE,type=fireball] ~ ~ ~ particle largeexplode ~ ~ ~ 0.1 0.1 0.1 0.1 1 force
#RAN_TICK
execute @e[score_ran_min=1,type=bat] ~ ~ ~ function sorcerersbook:spell/ran_tick 
scoreboard players remove @e[score_ran_min=1,type=bat] ran 1
#ULT_TICK
execute @e[score_ultCharge_min=1] ~ ~ ~ function sorcerersbook:spell/ult_tick
#MIS_TICK
execute @e[tag=MAGIC_MISSLE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/mis_tick
#MOR_TICK
execute @e[tag=MORTAR_PROJECTILE] ~ ~ ~ function sorcerersbook:spell/mor_tick

#ICS_TICK
execute @e[tag=ICS_SPIKE] ~ ~ ~ function sorcerersbook:spell/ics_tick

#ICA_TICK
execute @e[score_icaCounter_min=1] ~ ~ ~ function sorcerersbook:spell/ica_tick

#-------------THROWERS------------
#FLT_TICK
execute @e[score_fltCounter_min=1] ~ ~ ~ scoreboard players tag @s add HANDLE_THROWER_COUNTER
execute @e[score_fltCounter_min=1,score_throwerCounter=0] ~ ~ ~ function sorcerersbook:spell/flt_start
execute @e[tag=FLT_PROJECTILE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/flt_tick
#WTT_TICK
execute @e[score_wttCounter_min=1] ~ ~ ~ scoreboard players tag @s add HANDLE_THROWER_COUNTER
execute @e[score_wttCounter_min=1,score_throwerCounter=0] ~ ~ ~ function sorcerersbook:spell/wtt_start
execute @e[tag=WTT_PROJECTILE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/wtt_tick
#PST_TICK
execute @e[score_pstCounter_min=1] ~ ~ ~ scoreboard players tag @s add HANDLE_THROWER_COUNTER
execute @e[score_pstCounter_min=1,score_throwerCounter=0] ~ ~ ~ function sorcerersbook:spell/pst_start
execute @e[tag=PST_PROJECTILE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/pst_tick
#HANDLE_THROWER_COUNTER
execute @e[tag=HANDLE_THROWER_COUNTER] ~ ~ ~ function sorcerersbook:handle_thrower_counter
#---------END_THROWERS------------
#BMO_TICK
execute @e[tag=BMO_PROJECTILE,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/bmo_tick
#HHG_TICK
execute @e[tag=HHG_PROJECTILE,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/hhg_tick
execute @e[tag=HHG_NAME,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/hhg_tick_name
#BAA_TICK
scoreboard players add @e[tag=SHEEP_MISSILE,type=sheep] baa 1 {OnGround:1b}
execute @e[score_baa_min=2,type=sheep] ~ ~ ~ function sorcerersbook:spell/baa_tick
#BLD_TICK
scoreboard players remove @e[score_bld_min=1] bld 1
entitydata @e[score_bld=1] {Attributes:[{Name:generic.followRange,Base:40}]}
scoreboard players reset @e[score_bld_min=1] bld
#RAM_TICK
effect @e[tag=ram] levitation 0 0
scoreboard players tag @e[tag=ram] remove ram
#TOR_TICK
execute @e[score_tor_min=1,type=zombie] ~ ~ ~ function sorcerersbook:spell/tor_tick
#PLS_TICK
execute @e[tag=PULSE_MISSILE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/epl_tick
scoreboard players add @e[tag=PULSE_MISSILE,type=area_effect_cloud] pls 1
#INV_TICK
execute @a[tag=inv] ~ ~ ~ function sorcerersbook:spell/inv_tick
scoreboard players set @a dmgtaken 0
#GOD_TICK
execute @a[score_god_min=1] ~ ~ ~ function sorcerersbook:spell/god_tick
#NFD_TICK
scoreboard players add @a[tag=nfd] nfd 1
scoreboard players tag @a add NotFalling {FallDistance:0.0f}
scoreboard players set @a[tag=NotFalling] Falling 0
execute @a[tag=nfd,score_nfd_min=5] ~ ~ ~ effect @s[tag=NotFalling] jump_boost 0
effect @a[score_Falling_min=9,tag=nfd,score_nfd_min=5] jump_boost 100000 255 true
scoreboard players tag @a[tag=NotFalling,score_nfd_min=5] remove nfd
scoreboard players set @a[tag=NotFalling,score_nfd_min=5] nfd 0
scoreboard players tag @a remove NotFalling
#DIS_TICK
execute @e[tag=disco,type=sheep] ~ ~ ~ particle reddust ~ ~ ~ 1 1 1 2 1 force
execute @e[tag=disco,type=sheep] ~ ~ ~ particle mobSpell ~ ~ ~ 1 1 1 2 1 force
#MNE_TICK
execute @e[tag=mine,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/mne_tick
scoreboard players tag @e[tag=on_mine] remove on_mine
#JUM_TICK
execute @a[score_jum_min=1] ~ ~ ~ function sorcerersbook:spell/jum_tick
#CNF_TICK
execute @e[score_cnf_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/cnf_tick
#GOL_TICK
execute @e[score_gol_min=0,type=villager_golem] ~ ~ ~ function sorcerersbook:spell/gol_tick
#BLW_TICK
execute @e[score_blw_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/blw_tick
#EVC_TICK
execute @e[score_evc_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/evc_tick
#FNG_TICK
execute @e[score_fngCounter_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/fng_tick
#SHD_TICK
execute @e[score_shd_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/shd_tick
#ICE_TICK
execute @a[score_ice_min=0,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/ice_tick
#WAL_TICK
execute @a[score_wal_min=0] ~ ~ ~ function sorcerersbook:spell/wal_tick
#PYR_TICK
scoreboard players tag @e[tag=pyr,type=fireball] add nomotion {direction:[0.0,0.0,0.0]}
execute @e[tag=pyr,type=fireball] ~ ~ ~ execute @s[tag=!nomotion] ~ ~ ~ function sorcerersbook:spell/pyr_tick
scoreboard players tag @e[tag=pyr,type=fireball] remove nomotion
#STO_TICK
execute @e[tag=STO_PROJECTILE,type=area_effect_cloud] ~ ~ ~ function sorcerersbook:spell/sto_tick
execute @e[score_stoImmune_min=1] ~ ~ ~ function sorcerersbook:spell/sto_immune_tick
#AMR_TICK
execute @e[tag=amr,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/amr_tick
execute @a[tag=ADD_AMR_BONUS] ~ ~ ~ function sorcerersbook:spell/amr_tick2
#FTR_TICK
execute @e[tag=ftr,score_traptimer_min=100,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/ftr_tick
#PSP_TICK
execute @a[score_psp_min=0] ~ ~ ~ function sorcerersbook:spell/psp_tick
#FRP_TICK
execute @a[score_frp_min=0] ~ ~ ~ function sorcerersbook:spell/frp_tick
#TRW_TICK
scoreboard players add @e[tag=trw] trw 1
execute @a[score_trw_min=0] ~ ~ ~ function sorcerersbook:spell/trw_tick
#WTP_TICK
execute @e[score_wtp_min=0] ~ ~ ~ function sorcerersbook:spell/wtp_tick
execute @e[tag=wtp_shrapnel] ~ ~ ~ function sorcerersbook:spell/wtp_shrapnel
scoreboard players tag @e[tag=wtp_shrapnel] add wtponground {OnGround:1b,Motion:[0.0,0.0,0.0]}
kill @e[tag=wtponground]
#IBL_TICK
execute @e[tag=iblball] ~ ~ ~ function sorcerersbook:spell/ibl_tick
scoreboard players tag @e[tag=iblcloud] add iblonground {OnGround:1b,Motion:[0.0,0.0,0.0]}
execute @e[tag=iblonground] ~ ~ ~ function sorcerersbook:spell/ibl_loop
kill @e[tag=iblonground]
#STM_TICK
execute @e[score_stm_min=1,score_stmdelay=0,score_stmdelay_min=0] ~ ~ ~ function sorcerersbook:spell/stm_tick 
scoreboard players remove @a[score_stmdelay_min=0] stmdelay 1
scoreboard players remove @a[score_stm_min=0] stm 1
#TIM_TICK
execute @e[score_tim_min=1,score_timdelay=0,score_timdelay_min=0] ~ ~ ~ function sorcerersbook:spell/tim_tick 
scoreboard players remove @a[score_timdelay_min=0] timdelay 1
scoreboard players remove @a[score_tim_min=0] tim 1
#PSC_TICK
execute @e[score_pscCounter_min=1] ~ ~ ~ function sorcerersbook:spell/psc_tick
#ATM_TICK
execute @e[tag=atm,type=armor_stand] ~ ~ ~ function sorcerersbook:spell/atm_tick
execute @e[tag=atm_flare,type=armor_stand] ~ ~ ~ particle fallingdust ~ ~4 ~ 0.2 3 0.2 1 20 force @a 152 
#SPR_TICK
execute @e[score_spr_min=0] ~ ~ ~ function sorcerersbook:spell/spr_tick	
#DAP_TICK
execute @a[score_dap_min=0] ~ ~ ~ function sorcerersbook:spell/dap_tick	
#PLG_TICK
effect @e[tag=infected] minecraft:wither 2 0
execute @e[tag=infected] ~ ~ ~ execute @e[r=1,tag=!nietykalny] ~ ~ ~ scoreboard players tag @s[tag=!infected] add infected
#HIB_TICK
execute @e[tag=HIB_ENTITY] ~ ~ ~ function sorcerersbook:spell/hib_tick


#effects in lobby
tp @a[m=2,x=900,y=90,z=900,dx=200,dy=5,dz=200] 1000 100 1000 90 0
tp @a[m=2,x=1080,y=60,z=900,dx=200,dy=15,dz=200] 1107 100 1000 270 0
effect @a[tag=!cziter,x=1000,y=100,z=1000,r=300] resistance 1 127 true
effect @a[tag=!cziter,x=1000,y=100,z=1000,r=100] weakness 1 127 true
effect @a[tag=!cziter,x=1000,y=100,z=1000,r=300] saturation 1 127 true
scoreboard players set @a[tag=!ingame,x=1000,y=100,z=1000,r=300] manamnoznik 10
scoreboard players tag @a[tag=!ingame,x=1000,y=100,z=1000,r=300] remove infected

#portals - testing area
particle fallingdust 1005 101 1000 0 0.7 0.7 0 10 force @a 201
tp @a[x=1005,y=100,z=999,dy=2,dz=2] ~101 ~ ~
particle fallingdust 1104 101 1000 0 0.7 0.7 0 10 force @a 201
execute @a[x=1104,y=100,z=999,dy=2,dz=2] ~ ~ ~ function sorcerersbook:reset_spells
tp @a[x=1104,y=100,z=999,dy=2,dz=2] ~-101 ~ ~

#killing arrows in the ground
scoreboard players tag @e[type=arrow] add arrow_in_ground {inGround:1b}
kill @e[tag=arrow_in_ground]

#blazes melting ice
execute @e[type=small_fireball] ~ ~ ~ function sorcerersbook:firehandler

#blocking inventory
execute @a[tag=!cziter] ~ ~ ~ function sorcerersbook:blockeq 

#processing dead players
scoreboard players tag @a[tag=player,score_deaths_min=1] remove infected
scoreboard players tag @a[tag=player,score_deaths_min=1] add spectator
scoreboard players tag @a[tag=player,score_deaths_min=1] remove player
scoreboard players tag @a[tag=player,score_deaths_min=1] remove mxx_hunger_msg
execute @a[score_deaths_min=1] ~ ~ ~ function sorcerersbook:reset_spells
scoreboard players set @a[score_deaths_min=1] deaths 0

#processing players
scoreboard players tag @a[score_leftgame_min=1] remove player
scoreboard players set @a[score_leftgame_min=1] leftgame 0

#to stare, mozna wywalić
#execute @a[tag=!cziter] ~ ~ ~ execute @s[tag=!spectator,x=1000,y=100,z=1000,rm=100] ~ ~ ~ tp @s[tag=!player] 1000 100 1000 90 0

#processing game
#scoreboard players operation players playercount = @a[tag=player] playercount
#execute @a[score_playercount=1,score_playercount_min=0,tag=player] ~ ~ ~ function sorcerersbook:lobby/signs_main_2
#scoreboard players set @a playercount -1

#processing spectators
execute @e[m=3] ~ ~ ~ particle endRod ~ ~1 ~ 0 0 0 0 1 force @a[m=2,rm=3]
#scoreboard players operation stangry STANGRY = @a STANGRY
#tp @a[tag=spectator,x=2000,y=200,z=2000,rm=200] 2000 220 2000 0 -90
#scoreboard players set @a STANGRY -1

#processing traps
scoreboard players add @e[tag=trap] traptimer 1
execute @e[score_traptimer_min=1200] ~ ~ ~ playsound entity.firework.blast master @a ~ ~1.5 ~ 1 0.1 0
execute @e[score_traptimer_min=1200] ~ ~ ~ particle fireworksSpark ~ ~1.5 ~ 0 0 0 0.3 150 force
kill @e[score_traptimer_min=1200]

#voxelsniperxd
execute @a[score_rightclick_min=1] ~ ~ ~ function test:lsr
scoreboard players set @a rightclick 0
#effect @a[tag=cziter] night_vision 100000 0 true

#removing stuck falling blocks
scoreboard players add @e[type=falling_block] fallingblock 1
kill @e[type=falling_block,score_fallingblock_min=300]

#drop detection
execute @a[score_drop_min=1,score_biome_min=1,score_biome=1] ~ ~ ~ function sorcerersbook:drop
execute @a ~ ~ ~ function sorcerersbook:holding
scoreboard players set @a drop 0

#processing mana
kill @e[type=xp_orb]
scoreboard players add @a manamnoznik 0
execute @a[score_mana=9] ~ ~ ~ scoreboard players operation @s manalicznik += @s manamnoznik
scoreboard players add @a[score_manalicznik_min=100,score_mana=9] mana 1
execute @a[score_manalicznik_min=100] ~ ~ ~ function sorcerersbook:mana
scoreboard players set @a[score_manalicznik_min=100] manalicznik 0

#removing written book
scoreboard players tag @a add ksiazka {Inventory:[{id:"minecraft:writable_book",tag:{display:{LocName:"Spellbook"}}}]}
scoreboard players tag @a add pusta {Inventory:[{id:"minecraft:writable_book",tag:{pages:[""],display:{LocName:"Spellbook"}}}]}
execute @a[tag=ksiazka] ~ ~ ~ clear @s[tag=!pusta] writable_book 0 -1
execute @a[tag=ksiazka] ~ ~ ~ give @s[tag=!pusta] writable_book 1 0 {pages:[""],display:{LocName:"Spellbook"}}
scoreboard players tag @a remove ksiazka
scoreboard players tag @a remove pusta

#removing signed book
scoreboard players tag @a add idiota {Inventory:[{id:"minecraft:written_book"}]}
clear @a[tag=idiota] written_book 
give @a[tag=idiota] writable_book 1 0 {pages:[""],display:{LocName:"Spellbook"}}
title @a[tag=idiota] times 10 100 20
title @a[tag=idiota] title ["",{"translate":"error.sign1","color":"red"},{"text":" '","color":"red"},{"translate":"gui.done","color":"red"},{"text":"' ","color":"red"},{"translate":"error.sign2","color":"red"},{"text":" '","color":"red"},{"translate":"book.signButton","color":"red"},{"text":"'!","color":"red"}]
scoreboard players tag @a[tag=idiota] remove idiota

#dodawaj książkę
stats entity @a[tag=!cziter] set AffectedItems @s engine_tmp
scoreboard players set @a[tag=!cziter] engine_tmp 0
execute @a[tag=!cziter] ~ ~ ~ clear @s writable_book 0 0
stats entity @a[tag=!cziter] clear AffectedItems
give @a[score_engine_tmp=0,score_tp_mode=0] writable_book 1 0 {pages:[""],display:{LocName:"Spellbook"}}

#processing statues
scoreboard players tag @e[tag=posag] add posag_onground {OnGround:1b}
tp @e[tag=posag_onground] ~ ~ ~ ~2 ~
scoreboard players add @e[tag=posag_onground] posag 1
execute @e[score_posag_min=1200] ~ ~ ~ particle smoke ~ ~ ~ 0 0 0 0.5 100
execute @e[score_posag_min=1200] ~ ~ ~ tp @s ~ ~-300 ~

#machanie stojaków w lobby
execute @e[type=armor_stand,tag=mxx_statue] ~ ~ ~ function mxx:lobby_wave

#mapa teampvp #1 - particle na spawnach
particle happyVillager 4961 200 968 2.5 0 2.5 1 2
particle happyVillager 5050 200 1050 2.5 0 2.5 1 2

#pumpkin na głowie
scoreboard players set @a[m=3] biome 1
replaceitem entity @a[score_biome=0] slot.armor.head pumpkin
clear @a[score_biome_min=1] pumpkin

#zaznaczanie grajacych graczy
scoreboard teams leave magenta @a[tag=!ingame]
scoreboard teams join magenta @a[tag=ingame,team=]

#usuwanie blaze, które się za bardzo oddalą
kill @e[type=blaze,dx=0,dy=0,dz=0,dx=10000,dy=179,dz=10000]

#processing crystals
execute @e[tag=krysztal] ~ ~ ~ particle dragonbreath ~ ~ ~ 3 7 3 0.001 2 force
execute @e[tag=krysztalzielony] ~ ~ ~ particle totem ~ ~3 ~ 2 3 2 0.01 1 force

#wiadomość powitalna dla powracających
execute @a[score_przywitanie_min=1] ~ ~ ~ function sorcerersbook:przywitanie
scoreboard players reset @a[score_przywitanie_min=1] przywitanie

#info about low hunger
execute @a[tag=!unlocked_sat] ~ ~ ~ tellraw @s[score_mxx_hunger=10,tag=!mxx_hunger_msg] {"translate":"message.hunger","bold":"true","color":"red"}
scoreboard players tag @a[score_mxx_hunger=10,tag=!mxx_hunger_msg] add mxx_hunger_msg
